package edu.toronto.cs.ctl;

/**
 ** This is an Equivalence CTL node.
 **/
public class CTLIffNode extends CTLAbstractNode
{

  /**
   ** Construct an Equivalence CTL node using two other nodes as its children.
   **/
  protected CTLIffNode (CTLNode phi, CTLNode psi)
  {
    super (phi, psi);
  }

  public String toString ()
  {
    return "(" + getLeft () + " <-> " + getRight () + ")";
  }

  public void accept (CTLVisitor v, Object s)
  {
    v.visitIffNode (this, s);
  }


}
