package edu.toronto.cs.experiments;

public class DigitEncoder extends Encoder {
    
    int base;
    int digits;
    
    public DigitEncoder(int base_, int digits_) {
	base = base_;
	digits = digits_;
    }
    
    public int numComponents() {
	return digits;
    }
    
    public Object code(Object inp[]) {
	char inpArr[] = new char[inp.length];
	for (int i=0; i<inp.length; i++) {
	    inpArr[digits-i-1] = 
		Integer.toString(((Integer)(inp[i])).intValue(),
				 base).charAt(0);
	    
	    
	}
	return Integer.valueOf(new String(inpArr), base);
    }

    public static void main(String argv[]) {
	System.out.println("DigitEncoder running.");
	DigitEncoder de1 = new DigitEncoder(2, 4);
	Object foo;
	Integer ary[] = new Integer[]{
	    new Integer(1),
	    new Integer(0),
	    new Integer(1),
	    new Integer(0)};
	 foo = de1.code(ary);
	 System.out.println("Reponse: "+((Integer)foo));
    }
}

  
