package edu.toronto.cs.keg;

import java.util.*; // We all love java.util

import edu.toronto.cs.ctl.*;
import edu.toronto.cs.util.dgraph.*;

import edu.toronto.cs.mvset.MvState;

public class KEGStateNodeFactory extends DGUniqueNodeFactory
{
  
  //Map allNodes;
  
  public KEGStateNodeFactory ()
    {
      //allNodes = new HashMap ();
    }
  
  public KEGStateNode createNode (KEGStateNode target, MvState state)
    {
      return ((KEGStateNode)super.createNode (target, state));
    }
  

  public KEGStateNode createNode (MvState state)
  {
    return ((KEGStateNode)super.createNode (null, state));  
  }

  public DGUniqueNode instantNode (Object ident)
  {
    return new KEGStateNode ((MvState)ident, this);
  }

  public boolean addOk (DGNode node)
    {
      if (node instanceof KEGStateNode)
	{
	  ((KEGStateNode)node).owner = this;
	  doAdd (node);
	  return true;
	}
      return false;
    }

  public void doAdd (DGNode node)
    {
      // allChildren.put(((KEGStateNode)node).getState (), node);
    }
      
  /* protected KEGStateNode obtainNode (KEGStateNode target, MvState state)
    {
      Map allChildren;
      if (target!=null)
	{
	  allChildren = target.getChildMap ();
	}
      else
	{
	  allChildren = new HashMap ();
	}

      if (allChildren.containsKey (state))
	return ((KEGStateNode)allChildren.get (state));
      
      KEGStateNode returnNode = new KEGStateNode (state, this);
      allChildren.put (state, returnNode);
      
      return returnNode;
      }*/

}







