package edu.toronto.cs.keg;

import java.util.*;

import edu.toronto.cs.util.dgraph.*;

public class KegEdgeVisitorAncestor extends DGEdgeVisitorAncestor implements KegEdgeVisitor
{
  public void visit (DGEdge edge, Object stateinfo)
  {
    if (edge instanceof KEGEdge)
      kegvisit ((KEGEdge)edge, stateinfo);
    else
      super.visit (edge, stateinfo);
  }

  public void kegvisit (KEGEdge edge, Object stateinfo)
  {
    edge.accept ((KegEdgeVisitor)this, stateinfo);
  }
  
  public void visitKEGEdge (KEGEdge edge, Object stateinfo)
  {
  }
  
  
  public void visitKEGStateTransition (KEGStateTransition edge, 
				       Object stateinfo)
  {
  }
  
}


