/** Utility functions for the MDD package, particularly for
    building arbitrarily-nested arrays. */

public class Utility {
    
    public static Object[] makeDeepArray(int depth, int dim) {
	Object[] da = new Object[dim];

	if (depth > 1) // more nesting to do
	    {
		for (int i=0; i<dim; i++)
		    da[i] = makeDeepArray(depth-1, dim);
	    }
	return da;
    };

};
