package edu.toronto.cs.prettygraph;

import java.util.*;

import edu.toronto.cs.util.*;
import edu.toronto.cs.util.dgraph.*;

public class PrettyGraphVisitorAncestor extends DGraphVisitorAncestor implements PrettyGraphVisitor
{

  public PrettyGraphVisitorAncestor ()
  {
  }

  public void visit (DGNodeVisitable node, Object stateinfo)
  {
    // Is it "one of ours?"
    if (node instanceof PrettyGraphNodeVisitable)
      prettyvisit ((PrettyGraphNodeVisitable)node, stateinfo);
    else
      super.visit (node, stateinfo);
  }
  
  public void prettyvisit (PrettyGraphNodeVisitable node, Object stateinfo)
  {
    node.accept ((PrettyGraphVisitor)this, stateinfo);
  }
  
  public void visitPrettyGraphNode (PrettyGraphNode node, Object stateinfo)
  {
  }
  
  public void visitPrettyKegGraphNode (PrettyKegGraphNode node, 
				       Object stateinfo)
  {
  }

  public void visitPrettyXKNode (PrettyGraphXKNode node, Object stateinfo)
  {
  }

  public void visitPrettyGraphMDDNode (PrettyGraphMDDNode node, 
				       Object stateinfo)
  {
  }
}






