package edu.toronto.cs.prettygraph;

import java.util.*;

import edu.toronto.cs.xkripke.*;
import edu.toronto.cs.util.dgraph.*;
import edu.toronto.cs.mvset.MvState;


public class PrettyXKTransition extends PrettyGraphEdge
{
  XKripke.XKripkeTransition xktrans;
  
  public PrettyXKTransition (PrettyGraphNode src, PrettyGraphNode dest, 
			     XKripke.XKripkeTransition _xktrans)
  {
    super (src, dest);
    xktrans = _xktrans;
  }
  
  public XKripke.XKripkeTransition getXK ()
  {
    return xktrans;
  }

  public void accept (PrettyGraphEdgeVisitor visitor, Object stateinfo)
  {
    visitor.visitPrettyXKTransition (this, stateinfo);
  }
  
}

