package edu.toronto.cs.ctl;

/**
 ** This is a universal weak until CTL node.
 **/
public class CTLAWNode extends CTLAbstractNode
{
  /**
   ** Construct a universal weak CTL node using two other
   ** nodes as its children.
   **/
  protected CTLAWNode (CTLNode phi, CTLNode psi)
  {
    super (phi, psi);
  }

  public String toString ()
  {
    return "A[" + getLeft () + " W " + getRight () + "]";
  }

  public void accept (CTLVisitor v, Object s)
  {
    v.visitAWNode (this, s);
  }

}
