package edu.toronto.cs.ctl;

/**
 ** This is an existential weak until CTL node.
 **/
// XXX CDTW Just for symmetry, shouldn't we really be using parser/syms.java ?
public class CTLEWNode extends CTLAbstractNode
{
  protected CTLEWNode (CTLNode phi, CTLNode psi)
  {
    super (phi, psi);
  }

  public String toString ()
  {
    return "E[" + getLeft () + " W " + getRight () + "]";
  }


  public void accept (CTLVisitor v, Object s)
  {
    v.visitEWNode (this, s);
  }


}
