package edu.toronto.cs.ctl;

/**
 ** This is an Equals CTL node.
 **/
public class CTLEqualsNode extends CTLAbstractNode
{

  /**
   ** Construct an Equals CTL node using two other nodes as its children.
   **/
  protected CTLEqualsNode (CTLNode phi, CTLNode psi)
  {
    super (phi, psi);
  }

  public String toString ()
  {
    return "(" + getLeft () + " = " + getRight () + ")";
  }


  public void accept (CTLVisitor v, Object s)
  {
    v.visitEqualsNode (this, s);
  }


}
