package edu.toronto.cs.ctl;

public abstract class MacroExpander
{
  
  // -- parent macro manager that is used to define new macros
  CTLMacroManager manager = null;
  

  public CTLMacroManager getManager ()
  {
    return manager;
  }
  
  public void setManager (CTLMacroManager v)
  {
    manager = v;
  }
  
  // -- resets a state to initial 
  public abstract void reset ();
  // -- expands a given CTL node containing a macro
  public abstract CTLNode expand (CTLNode ctl);
  
}
